summaryrefslogtreecommitdiff
path: root/pre-commit.d/10warn-special-file
diff options
context:
space:
mode:
Diffstat (limited to 'pre-commit.d/10warn-special-file')
-rwxr-xr-xpre-commit.d/10warn-special-file7
1 files changed, 7 insertions, 0 deletions
diff --git a/pre-commit.d/10warn-special-file b/pre-commit.d/10warn-special-file
new file mode 100755
index 0000000..aa5c683
--- /dev/null
+++ b/pre-commit.d/10warn-special-file
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+special=$(find -not -type d -not -type f -not -type l | grep -v /.git/)
+if [ -n "$special" ]; then
+ echo "etckeeper warning: special files could cause problems with git:" >&2
+ echo "$special" >&2
+fi